/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
#include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
#include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/

uint8_t BYTES_COUNT = 24;
uint8_t VIDEO_BUFFER[32];
uint8_t DATA_BUFFER[24];



/******************************************************************************/
/* Main Program                                                               */

/******************************************************************************/
void main(void)
{
	uint8_t i;
	uint8_t j;
        uint8_t k;
	uint8_t temp;



	/* Configure the oscillator for the device */
	ConfigureOscillator();

	/* Initialize I/O and Peripherals for application */
	InitApp();



	/* Display what is in VIDEO_BUFFER */
	while(1){

            for(k = 0; k < 8; k++){
                SS = 0;
                //Send one row
                for(j = 0; j < 4; j++){
                    temp = VIDEO_BUFFER[(4*k) +j];
                    //Send one byte
                    for(i = 0; i < 8; i++){
                        SDO = (temp & 0x80) ? 1 : 0;
                        //Clock 14kHz
                        DelayUs(2);
                        SCK = 1;
                        DelayUs(2);
                        SCK = 0;
                        temp <<= 1;
                    }
                }
                //At the end toggle SS

                SS = 1;
            }
	}
}

